summaryrefslogtreecommitdiffstats
path: root/system/update-initrd
diff options
context:
space:
mode:
Diffstat (limited to 'system/update-initrd')
-rw-r--r--system/update-initrd/README3
-rw-r--r--system/update-initrd/slack-desc19
-rw-r--r--system/update-initrd/update-initrd.SlackBuild73
-rw-r--r--system/update-initrd/update-initrd.info10
4 files changed, 105 insertions, 0 deletions
diff --git a/system/update-initrd/README b/system/update-initrd/README
new file mode 100644
index 0000000000..7f7d04bbf5
--- /dev/null
+++ b/system/update-initrd/README
@@ -0,0 +1,3 @@
+Update-initrd is a small script that automatically generates a new
+initrd for your generic slackware linux kernel.
+
diff --git a/system/update-initrd/slack-desc b/system/update-initrd/slack-desc
new file mode 100644
index 0000000000..d0c84601dd
--- /dev/null
+++ b/system/update-initrd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+update-initrd: update-initrd (generate new initrd for linux kernel)
+update-initrd:
+update-initrd:
+update-initrd:
+update-initrd: Update-initrd is a small script that automatically
+update-initrd: generates a new initrd for your generic slackware
+update-initrd: linux kernel.
+update-initrd:
+update-initrd:
+update-initrd: HomePage: https://sf.net/projects/slackware-update-initrd
+update-initrd:
diff --git a/system/update-initrd/update-initrd.SlackBuild b/system/update-initrd/update-initrd.SlackBuild
new file mode 100644
index 0000000000..6cfaa98793
--- /dev/null
+++ b/system/update-initrd/update-initrd.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Slackware build script for update-initrd
+
+# Copyright 2023 Sergio Vicari <devteamtuc@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=update-initrd
+VERSION=${VERSION:-20230627}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# It is not arch spesific.
+ARCH="noarch"
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+chown -R root:root .
+chmod +x ./$PRGNAM-$VERSION/$PRGNAM
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/sbin
+cp $TMP/$PRGNAM-$VERSION/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/sbin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $TMP/$PRGNAM-$VERSION/$PRGNAM-$VERSION/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/update-initrd/update-initrd.info b/system/update-initrd/update-initrd.info
new file mode 100644
index 0000000000..736967f5e3
--- /dev/null
+++ b/system/update-initrd/update-initrd.info
@@ -0,0 +1,10 @@
+PRGNAM="update-initrd"
+VERSION="20230627"
+HOMEPAGE="https://sourceforge.net/projects/slackware-update-initrd/"
+DOWNLOAD="https://master.dl.sourceforge.net/project/slackware-update-initrd/update-initrd-20230627.tar.gz"
+MD5SUM="ec147645032099c7afca9b428558d76f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sergio Vicari"
+EMAIL="devteamtuc@gmail.com"